signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SignonDaemonNS::DefaultSecretsStorage Class Reference

SQLite-based implementation of the AbstractSecretsStorage interface. More...

`#include <default-secrets-storage.h>`

Inheritance diagram for SignonDaemonNS::DefaultSecretsStorage:
[legend]
Collaboration diagram for SignonDaemonNS::DefaultSecretsStorage:
[legend]

## Public Member Functions
| DefaultSecretsStorage (QObject *parent=0)
| ~DefaultSecretsStorage ()
bool | initialize (const QVariantMap &configuration)
bool | close ()
bool | clear ()
bool | updateCredentials (const quint32 id, const QString &username, const QString &password)
bool | removeCredentials (const quint32 id)
bool | loadCredentials (const quint32 id, QString &username, QString &password)
QVariantMap | loadData (quint32 id, quint32 method)
bool | storeData (quint32 id, quint32 method, const QVariantMap &data)
bool | removeData (quint32 id, quint32 method)

## Detailed Description

SQLite-based implementation of the AbstractSecretsStorage interface.

The secrets are stored in a SQLite DB, unencrypted. To achieve encryption, you can pair this class with a CryptoManager which provide an encrypted filesystem.

Definition at line 73 of file default-secrets-storage.h.

## Constructor & Destructor Documentation

DefaultSecretsStorage::DefaultSecretsStorage | ( | QObject * | parent = `0` | ) |
| explicit

Definition at line 274 of file default-secrets-storage.cpp.

DefaultSecretsStorage::~DefaultSecretsStorage | ( |  | ) |

Definition at line 279 of file default-secrets-storage.cpp.

References close().

## Member Function Documentation

bool DefaultSecretsStorage::clear | ( |  | ) |

Definition at line 316 of file default-secrets-storage.cpp.

References SignonDaemonNS::SecretsDB::clear(), and RETURN_IF_NOT_OPEN.

bool DefaultSecretsStorage::close | ( |  | ) |

Definition at line 305 of file default-secrets-storage.cpp.

References SignonDaemonNS::SqlDatabase::connectionName().

Referenced by initialize(), and ~DefaultSecretsStorage().

bool DefaultSecretsStorage::initialize | ( | const QVariantMap & | configuration | ) |

Definition at line 284 of file default-secrets-storage.cpp.

References close(), SignonDaemonNS::SqlDatabase::init(), SignonDaemonNS::SqlDatabase::lastError(), and TRACE.

bool DefaultSecretsStorage::loadCredentials | ( | const quint32 | id,
|  | QString & | username,
|  | QString & | password
| ) |  |

Definition at line 339 of file default-secrets-storage.cpp.

References SignonDaemonNS::SecretsDB::loadCredentials(), and RETURN_IF_NOT_OPEN.

QVariantMap DefaultSecretsStorage::loadData | ( | quint32 | id,
|  | quint32 | method
| ) |  |

Definition at line 348 of file default-secrets-storage.cpp.

References SignonDaemonNS::SecretsDB::loadData(), and RETURN_IF_NOT_OPEN.

bool DefaultSecretsStorage::removeCredentials | ( | const quint32 | id | ) |

Definition at line 332 of file default-secrets-storage.cpp.

References SignonDaemonNS::SecretsDB::removeCredentials(), and RETURN_IF_NOT_OPEN.

bool DefaultSecretsStorage::removeData | ( | quint32 | id,
|  | quint32 | method
| ) |  |

Definition at line 363 of file default-secrets-storage.cpp.

References SignonDaemonNS::SecretsDB::removeData(), and RETURN_IF_NOT_OPEN.

bool DefaultSecretsStorage::storeData | ( | quint32 | id,
|  | quint32 | method,
|  | const QVariantMap & | data
| ) |  |

Definition at line 355 of file default-secrets-storage.cpp.

References RETURN_IF_NOT_OPEN, and SignonDaemonNS::SecretsDB::storeData().

bool DefaultSecretsStorage::updateCredentials | ( | const quint32 | id,
|  | const QString & | username,
|  | const QString & | password
| ) |  |

Definition at line 323 of file default-secrets-storage.cpp.

References RETURN_IF_NOT_OPEN, and SignonDaemonNS::SecretsDB::updateCredentials().

The documentation for this class was generated from the following files:

- src/signond/default-secrets-storage.h
- src/signond/default-secrets-storage.cpp